> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company group structure

> Group structure (parent / subsidiary rows) for a company.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/companies/{companyNumber}/group-structure
openapi: 3.0.0
info:
  title: The Data City API (v2)
  description: API v2. Use these endpoints for new integrations.
  version: 2.0.0
servers:
  - url: https://product-api.thedatacity.com/api
    description: Production
security: []
tags:
  - name: classification
    description: >-
      Classification and ML: classify companies, list summary, explain
      classifier, explain company score.
  - name: companies
    description: >-
      Companies: details, group structure, check, batch, export, filtered
      companies.
  - name: directors
    description: 'Directors: director details by person number.'
  - name: explore
    description: 'Explore lists: filter-based lists by list ID, domain, or email.'
  - name: filters
    description: 'Filters: get available filters and filtered company results.'
  - name: rtics
    description: RTIC details and metadata.
  - name: search
    description: 'Search: ahead full and full-text search.'
  - name: smart-lists
    description: 'User lists (ML): list details by list ID, domain, or email.'
paths:
  /v2/companies/{companyNumber}/group-structure:
    get:
      tags:
        - companies
      summary: Get company group structure
      description: Group structure (parent / subsidiary rows) for a company.
      operationId: ae18f287824768a0d75cca0bf1d618e1
      parameters:
        - $ref: '#/components/parameters/ApiPathCompanyNumber'
      responses:
        '200':
          description: >-
            Group structure rows from the product API (data dictionary
            GroupStructureDetails).
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupStructureDetails'
      security:
        - bearerAuth: []
        - auth:
            - companies:read
            - companies:companyDetails
components:
  parameters:
    ApiPathCompanyNumber:
      name: companyNumber
      in: path
      description: Companies House company number.
      required: true
      schema:
        type: string
  schemas:
    GroupStructureDetails:
      description: >-
        Generated from The Data City data dictionary (schema
        GroupStructureDetails, version 1.0). See
        https://docs.thedatacity.com/data-dictionary/
      properties:
        CanBeConsolidated:
          description: >-
            Indicates whether the subsidiary company can be consolidated into
            the parent company's financial statements.
          type: boolean
        ConsolidatedAccountsCompanyName:
          description: >-
            The name of the company whose accounts are consolidated with the
            subsidiary. There can be multiple consolidated accounts company
            names if the subsidiary's accounts are consolidated with more than
            one other company.
          type: string
        ConsolidatedAccountsCompanyNumber:
          description: >-
            The Company Number of the company whose accounts are consolidated
            with the subsidiary. There can be multiple consolidated accounts
            company numbers if the subsidiary's accounts are consolidated with
            more than one other company.
          type: string
        IsLikelyDistinctBrand:
          description: >-
            Indicates whether the subsidiary is likely to be a distinct brand
            within the parent company's group structure.
          type: boolean
        IsSubGroup:
          description: >-
            Indicates whether the subsidiary is part of a sub-group within the
            parent company's group structure.
          type: boolean
        ParentCompanyName:
          description: >-
            The name of the parent company directly above the subsidiary in the
            group structure.
          type: string
        ParentCompanyNumber:
          description: >-
            The Company Number of the parent company directly above the
            subsidiary in the group structure.
          type: string
        SubsidiaryCompanyLevel:
          description: >-
            The level at which the subsidiary company operates within the group
            structure. Level 0 is the ultimate parent company.
          type: integer
          format: int32
        SubsidiaryCompanyName:
          description: The name of the subsidiary company.
          type: string
        SubsidiaryCompanyNumber:
          description: The Company Number of the subsidiary.
          type: string
        SubsidiaryCompanyWebsite:
          description: The website of the subsidiary company.
          type: string
        TypeOfAccounts:
          description: >-
            The type of accounts filed by the subsidiary company, which can
            indicate its financial reporting requirements and potential
            consolidation status.
          type: string
        UltimateParentCompanyName:
          description: The name of the ultimate parent company in the group structure.
          type: string
        UltimateParentCompanyNumber:
          description: >-
            The Company Number of the ultimate parent company in the group
            structure.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````